# Retrieve contract

URL: https://docs.emergingtravel.com/docs/affiliate-api/contracts/retrieve-contract/

Tags: affiliate

---


```
https://api.worldota.net/api/b2b/v3/general/contract/data/info/
```

The call gets contracts information.

## Request example

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/general/contract/data/info/'
```

## Response



[//]: # (contract_datas)
- **contract_datas** *(Object)*

  <p>The partner contract list.</p>
  <ul>
  <li>
  <p><strong>active_from</strong> <em>(String)</em></p>
  <p>The contract commencement date.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>agreement_date</strong> <em>(String)</em></p>
  <p>The contract agreement date.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>agreement_number</strong> <em>(String)</em></p>
  <p>The contract agreement number.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>closing_documents_issuance_type</strong> <em>(String)</em></p>
  <p>The contract confirmatory accounting documents issuance type.</p>
  > [!NOTE]
  > * The possible values:
  >     * `half_monthly`.
  >     * `monthly`.
  >     * `single_order`.
  >     * `weekly`.
  >     * `decadly`.
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>kind</strong> <em>(String)</em></p>
  <p>The contract kind.</p>
  > [!NOTE]
  > * The possible values:
  >     * `informational-services`.
  >     * `agency`.
  >     * `services`.
  >     * `corp`.
  >     * `individual-contractor`.
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>legal_entity</strong> <em>(Object)</em></p>
  <p>The contract legal entity information.</p>
  <ul>
  <li>
  <p><strong>address_actual</strong> <em>(String)</em></p>
  <p>The actual address.</p>
  </li>
  <li>
  <p><strong>address_legal</strong> <em>(String)</em></p>
  <p>The legal (registered) address.</p>
  </li>
  <li>
  <p><strong>name</strong> <em>(String)</em></p>
  <p>The legal entity name.</p>
  </li>
  <li>
  <p><strong>taxpayer_id</strong> <em>(String)</em></p>
  <p>The taxpayer identification number.</p>
  </li>
  </ul>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>terminated_at</strong> <em>(String)</em></p>
  <p>The contract termination date.</p>
  </li>
  </ul>





## Response example

```json
{
  "data":{
    "contract_datas":[
      {
        "active_from": "2018-07-02",
        "agreement_date": "2018-06-29",
        "agreement_number": "AFF-12980",
        "closing_documents_issuance_type": "monthly",
        "kind": "informational-services",
        "legal_entity": {
          "address_actual": "123 N Columbia Blvd",
          "address_legal": "113 N Columbia Blvd",
          "name": "123onetwothree",
          "taxpayer_id": "1231231231"
        },
        "terminated_at": null
      }
    ]
  },
  "debug": null,
  "error": null,
  "status": "ok"
}
```

## Errors

The `error` field has the value specified in the headers below.

### `unauthorized`

The authorization error. Ensure your API key and credentials are correct.

### `unknown`

The internal ETG services’ timeout.
